Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
Send a Follow-ups message
POST
/api/v1/follow-ups/{id}/send
const url = 'https://api.pitch2sale.com/api/v1/follow-ups/example/send';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"channel":"email","subject":"example","body":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.pitch2sale.com/api/v1/follow-ups/example/send \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "channel": "email", "subject": "example", "body": "example" }'Sends the message on the chosen channel after re-running the consent, opt-out, quiet-hours and WhatsApp 24-hour checks. 422 { reason, detail } when it may not be sent; 409 when the card is already being sent or closed.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
channel
required
string
subject
string
body
required
string
Responses
Section titled “Responses”Sent, or (WhatsApp auto follow-ups) waiting: queued is qr (sent from your QR number within minutes) or window (an opener template went; the message goes when the lead replies), and activity_id is null.
Media typeapplication/json
object
activity_id
required
string | null
touch_id
required
string | null
queued
string
Example
{ "queued": "qr"}Validation failed
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Authentication required or token invalid
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Role permission or token scope missing; OAuth app tokens are not accepted on this route
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}